<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- File/Synopsis/SymbolLookup/Scope.hh.html -->
<!-- this view was generated by FileIndex -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/SymbolLookup/Scope.hh</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileIndex">
<b >Synopsis/SymbolLookup/Scope.hh</b>
<div><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html" target="content">source code</a></div>
<div><a href="../../../FileDetails/Synopsis/SymbolLookup/Scope.hh.html" target="content">details</a></div>
<div class="heading">Declarations</div>
Synopsis<br/>
<div class="fileview-scope">SymbolLookup<br/>
<div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/InternalError.html" target="content" title="(class)">InternalError</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/InternalError.html#InternalError_lconst.std_mstring_A_r" target="content" title="(member function)">InternalError</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/InternalError.html#my_what" target="content" title="(data member)">my_what</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html" target="content" title="(struct)">MultiplyDefined</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#MultiplyDefined_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cconst.PTree_mNode_S_r" target="content" title="(member function)">MultiplyDefined</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#declaration" target="content" title="(data member)">declaration</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#name" target="content" title="(data member)">name</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html#original" target="content" title="(data member)">original</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" target="content" title="(class)">Scope</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#DECLARATION" target="content" title="(data member)">DECLARATION</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#DEFAULT" target="content" title="(data member)">DEFAULT</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#ELABORATE" target="content" title="(data member)">ELABORATE</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#LookupContext" target="content" title="(typedef)">LookupContext</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#SCOPE" target="content" title="(data member)">SCOPE</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#ScopeTable" target="content" title="(typedef)">ScopeTable</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#SymbolTable" target="content" title="(typedef)">SymbolTable</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#USING" target="content" title="(data member)">USING</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#accept_lScopeVisitor_S_r" target="content" title="(member function)">accept</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#declare_lconst.PTree_mEncoding_A_cconst.Symbol_S_r" target="content" title="(member function)">declare</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#declare_scope_lconst.PTree_mNode_S_cScope_S_r" target="content" title="(member function)">declare_scope</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#find_lconst.PTree_mEncoding_A_cLookupContext_rconst" target="content" title="(member function)">find</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#find_scope_lconst.PTree_mNode_S_rconst" target="content" title="(member function)">find_scope</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#my_refcount" target="content" title="(data member)">my_refcount</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#my_scopes" target="content" title="(data member)">my_scopes</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#my_symbols" target="content" title="(data member)">my_symbols</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#remove_lconst.Symbol_S_r" target="content" title="(member function)">remove</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#scope_iterator" target="content" title="(typedef)">scope_iterator</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#symbol_iterator" target="content" title="(typedef)">symbol_iterator</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html#use_lconst.PTree_mUsingDirective_S_r" target="content" title="(member function)">use</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/ScopeVisitor.html" target="content" title="(class)">ScopeVisitor</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup.html#SymbolSet" target="content" title="(typedef)">SymbolSet</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/TypeError.html" target="content" title="(struct)">TypeError</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/TypeError.html#TypeError_lconst.PTree_mEncoding_A_cconst.PTree_mEncoding_A_r" target="content" title="(member function)">TypeError</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/TypeError.html#name" target="content" title="(data member)">name</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/TypeError.html#type" target="content" title="(data member)">type</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/TypeError.html#_tTypeError_l_r" target="content" title="(member function)">~TypeError</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Undefined.html" target="content" title="(struct)">Undefined</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Undefined.html#Undefined_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_r" target="content" title="(member function)">Undefined</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Undefined.html#name" target="content" title="(data member)">name</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Undefined.html#ptree" target="content" title="(data member)">ptree</a></div></div>
</div>
</div>

</body>
</html>
